﻿//////////////////////////////////////////////////
//            ThaumaturgeSettings.cs            //
//         Part of RebornCo by kaihaider        //
//////////////////////////////////////////////////
using System.ComponentModel;
using System.Configuration;

namespace RebornCo.Settings
{
    public class ThaumaturgeSetting : CoreSetting
    {
        public ThaumaturgeSetting(string filename = "RebornCoSettingsThaumaturge")
            : base(filename)
        {
        }

        [Setting]
        [DefaultValue(true)]
        [Category("Thaumaturge")]
        public bool Surecast { get; set; }

        [Setting]
        [DefaultValue(40f)]
        [Category("Thaumaturge")]
        public float DumpMana { get; set; }

        [Setting]
        [DefaultValue(7000)]
        [Category("Thaumaturge")]
        public int AddThunderClipAfterB3 { get; set; }

        [Setting]
        [DefaultValue(3000)]
        [Category("Thaumaturge")]
        public int ThunderClip { get; set; }

        [Setting]
        [DefaultValue(true)]
        [Category("Black Mage")]
        public bool SingleTargetFlare { get; set; }

        [Setting]
        [DefaultValue(false)]
        [Category("Black Mage")]
        public bool OnlyConvertFlare { get; set; }

        [Setting]
        [DefaultValue(40f)]
        [Category("Black Mage")]
        public float Manawall { get; set; }
        
        [Setting]
        [DefaultValue(40f)]
        [Category("Thaumaturge")]
        public float Manaward { get; set; }

        [Setting]
        [DefaultValue(60f)]
        [Category("Black Mage")]
        public float ConvertHp { get; set; }

        [Setting]
        [DefaultValue(60f)]
        [Category("Black Mage")]
        public float ConvertMp { get; set; }

    }

}