﻿//////////////////////////////////////////////////
//              GladiatorSettings.cs            //
//         Part of RebornCo by kaihaider        //
//////////////////////////////////////////////////
using System.ComponentModel;
using System.Configuration;

namespace RebornCo.Settings
{
    public class GladiatorSetting : CoreSetting
    {
        public GladiatorSetting(string filename = "RebornCoSettingsGladiator")
            : base(filename)
        {
        }

        [Setting]
        [DefaultValue(false)]
        [Category("Paladin")]
        public bool ShieldBash { get; set; }

        [Setting]
        [DefaultValue(true)]
        [Category("Paladin")]
        public bool RageDuringOffTank { get; set; }

        [Setting]
        [DefaultValue(PallyOaths.Auto)]
        [Category("Paladin")]
        public PallyOaths Oath { get; set; }

        [Setting]
        [DefaultValue(45f)]
        [Category("Paladin")]
        public float OathAutoHealthPercentage { get; set; }

        [Setting]
        [DefaultValue(false)]
        [Category("Paladin")]
        public bool SpiritsWithin { get; set; }
    }

}