﻿//////////////////////////////////////////////////
//               LancerSettings.cs              //
//         Part of RebornCo by kaihaider        //
//////////////////////////////////////////////////
using System.ComponentModel;
using System.Configuration;

namespace RebornCo.Settings
{
    public class LancerSetting : CoreSetting
    {
        public LancerSetting(string filename = "RebornCoSettingsDragoon")
            : base(filename)
        {
        }

        [Setting]
        [DefaultValue(false)]
        [Category("Lancer")]
        public bool WaitEnergyPull { get; set; }

        [Setting]
        [DefaultValue(true)]
        [Category("Lancer")]
        public bool UseLegSweep { get; set; }

        [Setting]
        [DefaultValue(3f)]
        [Category("Dragoon")]
        public float DistanceFromMeleeRangeToUseRanged { get; set; }

        [Setting]
        [DefaultValue(6000)]
        [Category("Dragoon")]
        public int DisembowelClip { get; set; }

        [Setting]
        [DefaultValue(6000)]
        [Category("Dragoon")]
        public int PhlebotomizeClip { get; set; }

        [Setting]
        [DefaultValue(6000)]
        [Category("Dragoon")]
        public int HeavyThrustClip { get; set; }
    }

}