﻿//////////////////////////////////////////////////
//                PugSettings.cs                //
//         Part of RebornCo by kaihaider        //
//////////////////////////////////////////////////
using System.ComponentModel;
using System.Configuration;

namespace RebornCo.Settings
{
    public class PugSetting : CoreSetting
    {
        public PugSetting(string filename = "RebornCoSettingsPugilist")
            : base(filename)
        {
        }

        [Setting]
        [DefaultValue(false)]
        [Category("Pugilist")]
        public bool WaitEnergyPull { get; set; }

        [Setting]
        [DefaultValue(6000)]
        [Category("Pugilist")]
        public int DemolishClip { get; set; }

        [Setting]
        [DefaultValue(6000)]
        [Category("Pugilist")]
        public int TouchOfDeathClip { get; set; }
        
        [Setting]
        [DefaultValue(6000)]
        [Category("Pugilist")]
        public int TwinSnakesClip { get; set; }

        [Setting]
        [DefaultValue(false)]
        [Category("Pugilist")]
        public bool UseHaymaker { get; set; }
    }

}